Name:          libiio
Version:       0.24
Release:       %mkrel 1
Summary:       Library for Industrial IO
License:       LGPLv2
Group:         Development/Other
URL:           https://analogdevicesinc.github.io/libiio/
Source0:       https://github.com/analogdevicesinc/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz

BuildRequires: avahi-common-devel
BuildRequires: pkgconfig(avahi-client)
BuildRequires: bison
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: flex
BuildRequires: gcc
BuildRequires: libserialport-devel
BuildRequires: libaio-devel
BuildRequires: libusbx-devel
BuildRequires: libxml2-devel
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-sphinx
BuildRequires: python3-sphinx_rtd_theme

%description
Library for interfacing with Linux IIO devices

libiio is used to interface to Linux Industrial Input/Output (IIO) Subsystem.
The Linux IIO subsystem is intended to provide support for devices that in some 
sense are analog to digital or digital to analog converters (ADCs, DACs). This 
includes, but is not limited to ADCs, Accelerometers, Gyros, IMUs, Capacitance 
to Digital Converters (CDCs), Pressure Sensors, Color, Light and Proximity 
Sensors, Temperature Sensors, Magnetometers, DACs, DDS (Direct Digital 
Synthesis), PLLs (Phase Locked Loops), Variable/Programmable Gain Amplifiers 
(VGA, PGA), and RF transceivers.

%package utils
Summary: Utilities for Industrial IO
Group:         Development/Other
Requires: %{name} = %{version}-%{release}

%description utils
Utilities for accessing IIO using libiio

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package -n python3-iio
Summary: Python 3 bindings for Industrial IO (libiio)
Group: Development/Python
Requires: %{name} = %{version}-%{release}

%description -n python3-iio
Python 3 bindings for Industrial IO

%prep
%setup -q
sed -i 's/${LIBIIO_VERSION_MAJOR}-doc//' CMakeLists.txt

%build
%cmake -DPYTHON_BINDINGS=on -DWITH_DOC=off .
%cmake_build

%install
%cmake_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files
%{_libdir}/%{name}.so.*
/lib/udev/rules.d/90-libiio.rules

%files utils
%{_bindir}/iio_*
%{_sbindir}/iiod

%files devel
%{_includedir}/iio.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

%files -n python3-iio
%{python3_sitelib}/iio.py
%{python3_sitelib}/pylibiio*


%changelog
* Fri Aug 19 2022 tex - 0.24-1pclos2022
- create pkg
